Skip to main content
Unique Ids

Get a unique id for a specified table

This method requires the UniqueIds:Get permission to be associated with your role.

GET
/gb/unique/ids/{table_name}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_namestringrequired
Maximum string length: 64
Pattern: ^[a-z0-9\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

table_namestring
unique_idstring